﻿Public Class cVaxUserData

    Public m_sLogin As String, m_sPassword As String, m_sCodecList As String
    Public m_sUserPrefix As String, m_sDialPrefix As String, m_sToPeerName As String

    Public m_bBlocked As Boolean = False, m_bRegistered = False, m_bStealthListen As Boolean = False
    Public m_nToPeerType As Integer = -1

    Public Sub New()
    End Sub

    '//////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////

    Public Sub SetData(ByVal sPassword As String, ByVal sCodecList As String, ByVal bBlocked As Boolean, ByVal sUserPrefix As String, ByVal sDialPrefix As String, ByVal nToPeerType As Integer, ByVal sToPeerName As String, ByVal bStealthListen As Boolean)

        m_sPassword = sPassword
        m_sCodecList = sCodecList
        m_bBlocked = bBlocked

        m_sUserPrefix = sUserPrefix
        m_sDialPrefix = sDialPrefix

        m_nToPeerType = nToPeerType
        m_sToPeerName = sToPeerName

        m_bStealthListen = bStealthListen

    End Sub

    Public Sub GetData(ByRef sPassword As String, ByRef sCodecList As String, ByRef bBlocked As Boolean, ByRef sUserPrefix As String, ByRef sDialPrefix As String, ByRef nToPeerType As Integer, ByRef sToPeerName As String, ByRef bStealthListen As Boolean)

        sPassword = m_sPassword
        sCodecList = m_sCodecList
        bBlocked = m_bBlocked

        sUserPrefix = m_sUserPrefix
        sDialPrefix = m_sDialPrefix

        nToPeerType = m_nToPeerType
        sToPeerName = m_sToPeerName

        bStealthListen = m_bStealthListen

    End Sub

    '//////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////

    Public Function IsRegistered() As Boolean

        Return m_bRegistered

    End Function

    Public Function IsUserBlocked() As Boolean

        Return m_bBlocked

    End Function

    Public Sub SetRegUser(ByVal bRegUser As Boolean)

        m_bRegistered = bRegUser

    End Sub

End Class
