#if !defined(AFX_VAXTELESERVERAPPDLG_H__01EFDB55_835E_4A09_93EC_3A007FB5E0C8__INCLUDED_)
#define AFX_VAXTELESERVERAPPDLG_H__01EFDB55_835E_4A09_93EC_3A007FB5E0C8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VaxTeleServerAppDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVaxTeleServerAppDlg dialog

#include "MySheet.h"
//#include "VaxTeleServerSIP.h"

#include "VaxServerSIP.h"

class CAddLoginDlg;
class CGeneralDlg;
class CAddLineDlg;
class CAddDirectProxyDlg;

class CErrorLogDlg;
class CStatusLogDlg;

class CVaxServerExSIP;

class CAddConferenceDlg;

class CQueueDlg;
class CRingGroupDlg;
class CCallPickUpDlg;

class CVaxTeleServerAppDlg : public CMySheet
{
	DECLARE_DYNAMIC(CVaxTeleServerAppDlg);

public:
	CVaxTeleServerAppDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CVaxTeleServerAppDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

	static CVaxTeleServerAppDlg* m_pVaxTeleServerAppDlg;

	CAddLoginDlg*		m_pAddLoginDlg;
	CGeneralDlg*		m_pGeneralDlg;
	CAddLineDlg*		m_pAddLineDlg;
	CAddDirectProxyDlg* m_pAddDirectProxyDlg;
	CAddConferenceDlg*  m_pAddConferenceDlg;
		
	CErrorLogDlg*     m_pErrorLogDlg;
	CStatusLogDlg*	  m_pStatusLogDlg;

	CVaxServerSIP* m_pVaxTeleSIP;

	CQueueDlg* m_pQueueDlg;
	CRingGroupDlg* m_pRingGroupDlg;
	CCallPickUpDlg* m_pCallPickUpDlg;


// Operations
public:

	void ParseToStringList(CString objString, CStringList* pStringList);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVaxTeleConfigDlg)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVaxTeleServerAppDlg();

	// Generated message map functions
protected:
	HICON m_hIcon;

	//{{AFX_MSG(CVaxTeleConfigDlg)
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg BOOL OnNcCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
};
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VAXTELESERVERAPPDLG_H__01EFDB55_835E_4A09_93EC_3A007FB5E0C8__INCLUDED_)
