﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cVaxUserData
    {
        public string m_sPassword, m_sCodecList;
        public string m_sUserPrefix, m_sDialPrefix, m_sToPeerName;

        public bool m_bBlocked = false, m_bRegistered = false, m_bStealthlisten = false;
        public int m_nToPeerType = -1;

        public cVaxUserData()
        {
        }

        ~cVaxUserData()
        {
        }

        //////////////////////////////////////////////////////////////////////////////
        //////////////////////////////////////////////////////////////////////////////
                
        public void GetData(ref string sPassword, ref string sCodecList, ref bool bBlocked, ref string sUserPrefix, ref string sDialPrefix, ref int nToPeerType, ref string sToPeerName, ref bool bStealthlisten)
        {
            sPassword = m_sPassword;
            sCodecList = m_sCodecList;
            bBlocked = m_bBlocked;

            sUserPrefix = m_sUserPrefix;
            sDialPrefix = m_sDialPrefix;

            nToPeerType = m_nToPeerType;
            sToPeerName = m_sToPeerName;

            bStealthlisten = m_bStealthlisten;
        }

        public void SetData(string sPassword, string sCodecList, bool bBlocked, string sUserPrefix, string sDialPrefix, int nToPeerType, string sToPeerName, bool bStealthlisten)
        {
            m_sPassword = sPassword;
            m_sCodecList = sCodecList;
            m_bBlocked = bBlocked;

            m_sUserPrefix = sUserPrefix;
            m_sDialPrefix = sDialPrefix;

            m_nToPeerType = nToPeerType;
            m_sToPeerName = sToPeerName;

            m_bStealthlisten = bStealthlisten;
        }

        public Boolean IsRegistered()
        {
            return m_bRegistered;
        }

        public void SetUserRegistered()
        {
            m_bRegistered = true;
        }

        public Boolean IsUserBlocked()
        {
            return m_bBlocked;
        }
   
    }
}
