#pragma once

class CVaxServerExCOM;

class CVaxLine
{
public:

	CVaxLine(CVaxServerExCOM* pServerExCOM);
	~CVaxLine();

private:

	CString m_sDisplayName, m_sUserName, m_sAuthUser, m_sAuthPwd;
	CString m_sDomainRealm, m_sProxySIP, m_sCodecList, m_sToPeerName, m_sRoomName;
	BOOL m_bRegister, m_bBlock;

	int m_nToPeerType;
	
	CVaxServerExCOM* m_pServerExCOM;

public:

	void OnLineRegisterTrying(LPCTSTR sLineName);
	void OnLineRegisterFailed(LPCTSTR sLineName, LONG lStatusCode, LPCTSTR sReasonPhrase);
	void OnLineRegisterSuccess(LPCTSTR sLineName);

	void OnLineUnRegisterTrying(LPCTSTR sLineName);
	void OnLineUnRegisterFailed(LPCTSTR sLineName, LONG lStatusCode, LPCTSTR sReasonPhrase);
	void OnLineUnRegisterSuccess(LPCTSTR sLineName);

public:

	void SetData(LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxySIP, LPCTSTR sCodecList, BOOL bRegister, int nToPeerType, LPCTSTR sToPeerName, BOOL bBlock, LPCTSTR sRoomName);
	void GetData(CString& sDisplayName, CString& sUserName, CString& sAuthUser, CString& sAuthPwd, CString& sDomainRealm, CString& sProxySIP, CString& sCodecList, BOOL& bRegister, int& nToPeerType, CString& sToPeerName, BOOL& bBlock, CString& sRoomName);

};

