﻿using System;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cVaxChat
    {
        cVaxServerExCOM m_objServerExCOM = null;

        public cVaxChat(cVaxServerExCOM objServerExCOM)
        {
            m_objServerExCOM = objServerExCOM;
        }

        ~cVaxChat()
        {
        }
        
        public void OnChatMessageText(int nChatMsgId, string sMsgFrom, string sMsgTo, string sMsgText, int nFromPeerType, string sFromPeerName, string sFromIP, int nFromPort)
        {
            bool bResult = m_objServerExCOM.AcceptChatMessage(nChatMsgId, cVaxServerCOM.VAX_PEER_TYPE_USER, sMsgTo);
        }

        public void OnChatMessageTyping(int nChatMsgId, string sMsgFrom, string sMsgTo, bool bIsTypingStart, int nFromPeerType, string sFromPeerName, string sFromIP, int nFromPort)
        {
            bool bResult = m_objServerExCOM.AcceptChatMessage(nChatMsgId, cVaxServerCOM.VAX_PEER_TYPE_USER, sMsgTo);
        }

        public void OnChatStatusSubscribe(int nSubscrbId, string sMsgFrom, string sMsgTo, int nFromPeerType, string sFromPeerName, string sFromIP, int nFromPort)
        {
            bool bResult = m_objServerExCOM.AcceptChatStatusSubscribe(nSubscrbId, sMsgFrom, sMsgTo, cVaxServerCOM.VAX_PEER_TYPE_USER, sMsgTo);
        }

        public void OnChatMessageSuccess(int nChatMsgId)
        {
        
        }
        
        public void OnChatMessageFailed(int nChatMsgId, int nStatusCode, string sReasonPhrase)
        {
        
        }
        
        public void OnChatMessageTimeout(int nChatMsgId)
        {
        
        }
    }
}
