unit VaxTransfer;

interface

uses

     System.Classes,

    VaxCallSessionRoute,
    VaxServerCOM,
    VaxServerExCOM;


type TVaxTransfer = class
var

    public
       constructor Create(); reintroduce; overload;


        procedure OnCallSessionTransferBlind(nTransfererSessionId: Integer; nTransfererChannelId: Integer; const sTransferer: string; const sTransferee: string; const sTransferTo: string);
        procedure OnCallSessionTransferConsult(nTransfererSessionId: Integer; nTransfererChannelId: Integer; nTransferToSessionId: Integer; nTransferToChannelId: Integer; sTransferer: String; sTransferee: String; sTransferTo: String);

        procedure OnCallSessionTransfering(nSessionId: Integer; nTransferType: Integer; nChannelId: Integer; nStatusCode: Integer; sReasonPhrase: String);
        procedure OnCallSessionTransferFailed(nSessionId: Integer; nTransferType: Integer; nChannelId: Integer; nStatusCode: Integer; sReasonPhrase: String);
        procedure OnCallSessionTransferTimeout(nSessionId: Integer; nTransferType: Integer; nChannelId: Integer);
        procedure OnCallSessionTransfered(nSessionId: Integer; nTransferType: Integer);

     end;

implementation

        constructor TVaxTransfer.Create();
        begin

        end;

        procedure TVaxTransfer.OnCallSessionTransferBlind(nTransfererSessionId: Integer; nTransfererChannelId: Integer; const sTransferer: string; const sTransferee: string; const sTransferTo: string);
        begin
             TVaxServerExCOM.mVaxExCOM.AcceptTransferBlind(nTransfererSessionId, sTransferee, sTransferee, sTransferTo, TVaxServerCOM.VAX_PEER_TYPE_USER, sTransferTo, 30);
        end;
        procedure TVaxTransfer.OnCallSessionTransferConsult(nTransfererSessionId: Integer; nTransfererChannelId: Integer; nTransferToSessionId: Integer; nTransferToChannelId: Integer; sTransferer: String; sTransferee: String; sTransferTo: String);
        begin
              TVaxServerExCOM.mVaxExCOM.AcceptTransferConsult(nTransfererSessionId, nTransferToSessionId);
        end;

        procedure TVaxTransfer.OnCallSessionTransfering(nSessionId: Integer; nTransferType: Integer; nChannelId: Integer; nStatusCode: Integer; sReasonPhrase: String);
        begin

        end;

        procedure TVaxTransfer.OnCallSessionTransferFailed(nSessionId: Integer; nTransferType: Integer; nChannelId: Integer; nStatusCode: Integer; sReasonPhrase: String);
        begin

        end;

        procedure TVaxTransfer.OnCallSessionTransferTimeout(nSessionId: Integer; nTransferType: Integer; nChannelId: Integer);
        begin

        end;

        procedure TVaxTransfer.OnCallSessionTransfered(nSessionId: Integer; nTransferType: Integer);
        begin

        end;


end.

